# Amazon Offers API

The **Amazon Offer API** lets you extract detailed product offer data from Amazon, including pricing, availability, seller details, and delivery options all in real time. It helps you monitor marketplace competition, analyze vendor listings, and keep track of dynamic price changes effortlessly. Perfect for building price intelligence tools or product comparison dashboards. Each request will cost you **`1`** credit.

### Parameters <a href="#parameters" id="parameters"></a>

| Parameter                                                          | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| ------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p>api\_key <br><br><mark style="color:red;">required</mark></p>   | <p>Your personal API key. <br><br>Available on your dashboard<br><br>Type: <em><strong>String</strong></em></p>                                                                                                                                                                                                                                                                                                                               |
| <p>domain<br><br><mark style="color:red;">required</mark></p>      | This is the TLD extension of the amazon page. Example - in, com, tr, etc Type: **`String`**                                                                                                                                                                                                                                                                                                                                                   |
| <p>asin<br><br><mark style="color:red;">required</mark></p>        | <p>This is the Amazon product ID. <br><br>Type: <strong><code>String</code></strong></p>                                                                                                                                                                                                                                                                                                                                                      |
| <p>country<br><br><br><mark style="color:red;">required</mark></p> | <p>For targeting a particular country. This should be the <a href="#country">ISO Code</a> of a country. </p><p></p><p><strong><code>5</code></strong> credits will be charged for each successful request with this parameter. <strong><code>1</code></strong> credit will be charged if the target country is the USA.</p><p></p><p>Default value is <strong><code>us</code></strong>.<br><br>Type: <strong><code>String</code></strong></p> |
| postal\_code                                                       | <p>To get data from a particular postal code. <br><br>Type: <code>String</code></p>                                                                                                                                                                                                                                                                                                                                                           |

### API Example

{% tabs %}
{% tab title="cURL" %}

```json
curl "https://api.scrapingdog.com/amazon/offers?api_key=8963724734tty90112391248ucnuen&asin=B0BVJT3HVN&domain=com&country=us&postal_code=32095"
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://api.scrapingdog.com/amazon/offers"

params = {
    "api_key": "8963724734tty90112391248ucnuen",
    "asin": "B0BVJT3HVN",
    "domain": "com",
    "country": "us",
    "postal_code": "32095"
}

try:
    response = requests.get(url, params=params)
    response.raise_for_status()  # Raise error for bad responses
    data = response.json()
    print("✅ API Response:")
    print(data)
except requests.exceptions.RequestException as e:
    print(f"❌ Request failed: {e}")


```

{% endtab %}

{% tab title="Node JS" %}

```javascript
const axios = require("axios");

const url = "https://api.scrapingdog.com/amazon/offers";

const params = {
  api_key: "8963724734tty90112391248ucnuen",
  asin: "B0BVJT3HVN",
  domain: "com",
  country: "us",
  postal_code: "32095"
};

(async () => {
  try {
    const response = await axios.get(url, { params });
    console.log("✅ API Response:");
    console.log(response.data);
  } catch (error) {
    console.error("❌ Request failed:", error.message);
  }
})();


```

{% endtab %}

{% tab title="PHP" %}

```php
<?php

$api_url = "https://api.scrapingdog.com/amazon/offers";

$params = [
    "api_key" => "8963724734tty90112391248ucnuen",
    "asin" => "B0BVJT3HVN",
    "domain" => "com",
    "country" => "us",
    "postal_code" => "32095"
];

$url = $api_url . '?' . http_build_query($params);

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);

if (curl_errno($ch)) {
    echo "❌ cURL Error: " . curl_error($ch);
} else {
    echo "✅ API Response:\n";
    echo $response;
}

curl_close($ch);
?>


```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'net/http'
require 'uri'
require 'json'

base_url = "https://api.scrapingdog.com/amazon/offers"

params = {
  api_key: "8963724734tty90112391248ucnuen",
  asin: "B0BVJT3HVN",
  domain: "com",
  country: "us",
  postal_code: "32095"
}

uri = URI(base_url)
uri.query = URI.encode_www_form(params)

response = Net::HTTP.get_response(uri)

if response.is_a?(Net::HTTPSuccess)
  puts "✅ API Response:"
  puts JSON.pretty_generate(JSON.parse(response.body))
else
  puts "❌ Request failed: #{response.code} #{response.message}"
end


```

{% endtab %}

{% tab title="Java" %}

```java
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;

public class AmazonOfferAPI {
    public static void main(String[] args) {
        try {
            String apiUrl = "https://api.scrapingdog.com/amazon/offers"
                + "?api_key=8963724734tty90112391248ucnuen"
                + "&asin=B0BVJT3HVN"
                + "&domain=com"
                + "&country=us"
                + "&postal_code=32095";

            URL url = new URL(apiUrl);
            HttpURLConnection connection = (HttpURLConnection) url.openConnection();
            connection.setRequestMethod("GET");

            int responseCode = connection.getResponseCode();
            System.out.println("Response Code: " + responseCode);

            if (responseCode == HttpURLConnection.HTTP_OK) {
                BufferedReader in = new BufferedReader(new InputStreamReader(connection.getInputStream()));
                String inputLine;
                StringBuilder response = new StringBuilder();

                while ((inputLine = in.readLine()) != null) {
                    response.append(inputLine);
                }
                in.close();

                System.out.println("✅ API Response:");
                System.out.println(response.toString());
            } else {
                System.out.println("❌ Request failed");
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}


```

{% endtab %}
{% endtabs %}

### API Response

```json
{
    "title": "Geox Women's D Xand 2.2s A Wedge Sandal",
    "rating": 4.2,
    "reviews_total": 73,
    "image": "https://m.media-amazon.com/images/I/31cqjK7paWL.jpg",
    "asin": "B0BVJT3HVN",
    "link": "https://www.amazon.com/dp/B0BVJT3HVN",
    "offers": [
        {
            "price": {
                "symbol": "$",
                "value": 157.32,
                "currency": "USD",
                "raw": "$157.32"
            },
            "minimum_order_quantity": {
                "value": 1
            },
            "maximum_order_quantity": {
                "value": 2
            },
            "condition": {
                "is_new": true,
                "title": "New"
            },
            "delivery": {
                "fulfilled_by_amazon": false,
                "countdown": "",
                "date": "Tuesday, December 9",
                "comments": "FREE delivery Tuesday, December 9. Order within 5 hrs 52 mins. Details Or fastest delivery Wednesday, December 3. Details",
                "price": {
                    "raw": "FREE",
                    "symbol": "$",
                    "currency": "USD",
                    "value": 0,
                    "is_free": true
                }
            },
            "seller": {
                "name": "Amazon Germany",
                "link": "https://www.amazon.com/gp/aag/main?ie=UTF8&seller=A2DKF1L73WUF4Q&isAmazonFulfilled=0&asin=B0BVJT3HVN&ref_=olp_merch_name_0",
                "id": "A2DKF1L73WUF4Q",
                "rating": 5,
                "ratings_percentage_positive": 98,
                "ratings_total": 0
            },
            "offer_id": "LHn9PdnsXtm0jZahkLemk9JoM00xp78tZSJXFqVP37lm0tji4u8q1Rs3NqBqDIaFsILm0Yy9%2FRMsqgIsFeh5IEWch54eGIkPnVBxQ0AEtCfTDHha9eFwHqI7LegvTgfTj85wSs5f18r0cBflikutaoU9YWaYccyEokVXQWO8YR59FgWCpY6t5%2FxfzUVKfr%2Ff",
            "is_prime": false,
            "position": 1,
            "buybox_winner": true,
            "offer_asin": "B0BVJT3HVN",
            "is_pinned": true
        },
        {
            "price": {
                "symbol": "$",
                "value": 142,
                "currency": "USD",
                "raw": "$142.00"
            },
            "minimum_order_quantity": {
                "value": 1
            },
            "maximum_order_quantity": {
                "value": 3
            },
            "condition": {
                "is_new": true,
                "title": "New"
            },
            "delivery": {
                "fulfilled_by_amazon": false,
                "countdown": "",
                "date": "December 16 - January 7",
                "comments": "$38.70 delivery December 16 - January 7. Details",
                "price": {
                    "raw": "$38.70",
                    "symbol": "$",
                    "currency": "USD",
                    "value": 38.7,
                    "is_free": false
                }
            },
            "seller": {
                "name": "Phonograph",
                "link": "https://www.amazon.com/gp/aag/main?ie=UTF8&seller=AB0UTK7JSHBRX&isAmazonFulfilled=0&asin=B0BVJT3HVN&ref_=olp_merch_name_1",
                "id": "AB0UTK7JSHBRX",
                "rating": 5,
                "ratings_percentage_positive": 98,
                "ratings_total": 0
            },
            "offer_id": "LHn9PdnsXtm0jZahkLemk9JoM00xp78t9EmbRAIE14MVAHlhzW%2F%2BsWfjDbVdh8PG%2B6QBXxRUO8V1hmLk%2FHQHK0bHr6VrVi9wTrpgHs8eA0eoFZmCMRebzxkxJvdGK2CKPf8YPLh%2B70LH2CpU9nEl2lYYqukzVNK%2F%2Fq02rXLl2a2HkbbSgnOiQ3iMxWtWKvYi",
            "is_prime": false,
            "position": 2,
            "buybox_winner": false,
            "offer_asin": "B0BVJT3HVN",
            "is_pinned": false
        },
        {
            "price": {
                "symbol": "$",
                "value": 201.99,
                "currency": "USD",
                "raw": "$201.99"
            },
            "minimum_order_quantity": {
                "value": 1
            },
            "maximum_order_quantity": {
                "value": 3
            },
            "condition": {
                "is_new": true,
                "title": "New"
            },
            "delivery": {
                "fulfilled_by_amazon": false,
                "countdown": "",
                "date": "December 12 - January 5",
                "comments": "$55 delivery December 12 - January 5. Details",
                "price": {
                    "raw": "$55",
                    "symbol": "$",
                    "currency": "USD",
                    "value": 55,
                    "is_free": false
                }
            },
            "seller": {
                "name": "GAIN-TRADER",
                "link": "https://www.amazon.com/gp/aag/main?ie=UTF8&seller=AO8X62C0DX7Q4&isAmazonFulfilled=0&asin=B0BVJT3HVN&ref_=olp_merch_name_2",
                "id": "AO8X62C0DX7Q4",
                "rating": 5,
                "ratings_percentage_positive": 98,
                "ratings_total": 0
            },
            "offer_id": "LHn9PdnsXtm0jZahkLemk9JoM00xp78tQyHT7kc%2BI%2F2W%2Br7NJJFL08VbweRnKNfV3R8r5zEebwbFp8ml2gWitk14hNYmaLvOPVLMD1iY6zJQj4klhC61KocQq9wO%2FczVooVRtlllGB1%2BdF%2Brcr7PqDqLTsuEQe57AVxoxUcRQ27wLXwwJQqFALdun2EcDKn8",
            "is_prime": false,
            "position": 3,
            "buybox_winner": false,
            "offer_asin": "B0BVJT3HVN",
            "is_pinned": false
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scrapingdog.com/amazon-scraper-api/amazon-offers-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
